curl --request POST \
--url https://api.stackone.com/actions/rpc \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'x-account-id: <x-account-id>' \
--data '
{
"action": "create_employee",
"path": {
"id": "123"
},
"query": {
"debug": false
},
"headers": {
"Content-Type": "application/json"
},
"body": {
"data": "example"
},
"defender_enabled": true,
"defender_config": {
"enabled": true,
"block_high_risk": false,
"use_tier1_classification": true,
"use_tier2_classification": true
}
}
'import requests
url = "https://api.stackone.com/actions/rpc"
payload = {
"action": "create_employee",
"path": { "id": "123" },
"query": { "debug": False },
"headers": { "Content-Type": "application/json" },
"body": { "data": "example" },
"defender_enabled": True,
"defender_config": {
"enabled": True,
"block_high_risk": False,
"use_tier1_classification": True,
"use_tier2_classification": True
}
}
headers = {
"x-account-id": "<x-account-id>",
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-account-id': '<x-account-id>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
action: 'create_employee',
path: {id: '123'},
query: {debug: false},
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({data: 'example'}),
defender_enabled: true,
defender_config: {
enabled: true,
block_high_risk: false,
use_tier1_classification: true,
use_tier2_classification: true
}
})
};
fetch('https://api.stackone.com/actions/rpc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 400,
"message": "Bad Request",
"timestamp": "2023-05-30T00:00:00.000Z",
"data": {
"statusCode": 400,
"message": "Bad Request",
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
},
"provider_errors": [
{
"status": 400,
"url": "https://api.provider.com/v1/resource",
"raw": {
"message": "Invalid input parameters"
},
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
}
]
}{
"statusCode": 401,
"message": "Unauthorized",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 403,
"message": "Forbidden resource",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 404,
"message": "Not Found",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 408,
"message": "Request timed out",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 409,
"message": "Conflict",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 422,
"message": "Unprocessable Entity",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 429,
"message": "Too many requests",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 500,
"message": "Internal server error",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 501,
"message": "Not Implemented",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 502,
"message": "Bad Gateway",
"timestamp": "2023-05-30T00:00:00.000Z"
}Makes a remote procedure call to the specified action
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Headers
The account identifier
Overrides the connector profile associated with the account for this request. The profile must exist in the same project and belong to the same connector as the account, otherwise the request is rejected with a 400 Bad Request.
Query Parameters
Enable debug mode for the action execution
false
Body
The action to execute
"create_employee"
Path parameters for the action
{ "id": "123" }
Query parameters for the action
Show child attributes
Show child attributes
Headers for the action
{ "Content-Type": "application/json" }
Request body for the action
{ "data": "example" }
Override the account-level defender enabled setting for this request. Deprecated: use defender_config instead.
true
Per-request defender configuration. Takes precedence over defender_enabled and project settings.
Show child attributes
Show child attributes
Response
Action response.
Was this page helpful?